using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace AxCopilot.Themes;

public class WarningSubtitleColorConverter : IValueConverter
{
	public object Convert(object value, Type t, object p, CultureInfo c)
	{
		return (!(value is string text) || !text.Contains('⚠')) ? Visibility.Collapsed : Visibility.Visible;
	}

	public object ConvertBack(object v, Type t, object p, CultureInfo c)
	{
		throw new NotImplementedException();
	}
}
